/*
 *  Copyright
 */

#ifndef parserOpenHRPKineoObstacle_H
#define parserOpenHRPKineoObstacle_H

#include "hppOpenHRP/parserOpenHRPKineo.h"

/************************

CLASS

************************/

/**
  \brief Creates a vector of hppPolyhedron from a vector of OpenHRP ModelInfo
 */
class CparserOpenHRPKineoObstacle : CparserOpenHRPKineo{
public:
  /**
     Constructor
  */
  CparserOpenHRPKineoObstacle(std::vector<ModelInfo_var> inObstInfoVector) ;
  /**
     Destructor
  */
  ~CparserOpenHRPKineoObstacle() ;
  /**
     Creates a vector of hppPolyhedron from a vector of OpenHRP ModelInfo which is given as a constructor argument
  */
  vector<CkppKCDPolyhedronShPtr> parser() ;

private :

  CkppKCDPolyhedronShPtr buildKppObstacle(const TopenHrpJoint& obst, unsigned int obstId ) ;

  vector<ModelInfo_var> attObstInfoVector;
} ;

#endif
